Subject: RE: [SIP] RECORD-ROUTE/ROUTE requirements

From: "Fairlie-Cuninghame, Robert" <[email-masked]>
Date: Fri, 1 Dec 2000 01:57:45 -0800

> > What about in the other direction? The UAC will need to add a
> > Record-Route for the _original_ Request-URI - which may in fact
> > be entirely unhelpful.
> 
> I'm not following you here.  I was suggesting that the UA --
> i.e., UAC and UAS -- append the From header if the Contact
> header is not present.
> 
> Actually, if I say that the calling UA can append the original
> Request-URI instead of the From, then isn't this identical to
> what you're saying, except the UAs are doing it instead of the
> proxies?

Hi Jo,

I would say that the UA thinking it knows better than the proxies (how to
route) is as great an evil. :)

My point is the request-uri that the UAC sends, may quite likely be
different to the request-uri that the last record-route proxy sees, eg

UA sends with a request-uri of [email-masked]; a proxy changes this to
[email-masked]. The last proxy sees this URI not the initial one.
Thus if the UAC adds it Request-URI to the last ROute entry then its going
to really confuse things. That's worse than putting nothing - at least if
the proxy stores call route state then it can succeed - if the UA adds an
incorrect Route then the proxy has no choice but to blindly follow the
(incorrect) Route header !!

Robert.

-- My opinions are my own. I tried selling them once but everybody
	seems to already have one. -- 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: "Jo Hornsby" <[email-masked]>
Date: Fri, 1 Dec 2000 10:11:59 -0000

Robert wrote:
> I would say that the UA thinking it knows better than the proxies
> (how to route) is as great an evil. :)

You may have a point...

> to really confuse things.

True.  However, I have great faith in optimistic routing.  How did
the [email-masked] map to [email-masked] in the first place?
Simple scenario: ua.com runs SRV, and angel had registered as being
at plane6.hell.com.  Therefore, that Request-URI would still work.

That's the beauty of SIP. &:)

> That's worse than putting nothing - at least if the proxy stores call
route state then it can succeed - if the UA adds an
> (incorrect) Route header !!

The cases where I can see the proxy doing better than the UA is:
 * There is some sort of temporal based routing
 * The initial routing is obscure (i.e., not literally SRV based)
But it is fair to say that the proxy will "win" in these cases.

Still, I'm not convinced; but also I'm not that passionate.
Either way is a reasonable solution (with the proxy-does-the-work
being slightly more robust), so whatever the concensus is, eh?
(Although it does look like everybody else has given up, so we
might have to toss a coin... (:&)

Cheers,

 - Jo.